
(

 output_name = getSaveFileName caption:"CameraData File" types:"CameraData (*.txt)|*.txt|All Files (*.*)|*.*|"

 if output_name != undefined then 

 (
	output_file = createfile output_name
	local newscale="1.000000"
	
	fn rescaleScene=
	(
	case units.SystemType of
	(
	#Inches: (newscale= 0.0254)
	#Feet: (newscale= 0.3048)
	#Miles: (newscale= 1609.344)
	#Millimeters: (newscale= 0.001)
	#Centimeters: (newscale= 0.01)
	#Meters: (newscale= 1)
	#Kilometers: (newscale= 1000)
	)
	try(setinisetting (objExp.getIniName()) "Geometry" "ObjScale" (newscale as string))catch()
	)
	
	rescaleScene()
	
  for t = animationrange.start to animationrange.end do

  (
	 

   at time t current_pos = $Octane.pos *newscale 
		at time t current_target = $Octane.Target.pos *newscale 
			at time t theFOV = $Octane.FOV
				at time t thecam_dir=
		(
		local posdummy=dummy transform:$Octane.transform
		in coordsys local move posdummy [0,100,0]
		local yvec_pos=posdummy.pos
		delete posdummy
		camup_pos=normalize($Octane.pos-yvec_pos)
		)

   
   	theFlags=#(current_pos,current_target,theFOV,thecam_dir)
	str = stringStream ""
   
    format "%" theFlags[1][1] to:str 
	format "#%" theFlags[1][3] to:str 
	format "#%" -theFlags[1][2] to:str 
   
    format "#%" theFlags[2][1] to:str
    format "#%" theFlags[2][3] to:str
    format "#%" -theFlags[2][2] to:str
		
	format "#%" theFlags[3] to:str
		
    format "#%" -theFlags[4][1] to:str 
	format "#%" -theFlags[4][3] to:str 
	format "#%" theFlags[4][2] to:str 
   
	mystring = str as string
   
	format "%\n"(mystring) to:output_file


  )

  close output_file

  edit output_name

 )

)



